Pool
Get Pool Bank Accounts
GET
header
AuthorizationBearer <token>Scope: pool-bank-accounts:read
All pool bank accounts for the account in context. Wrapped in data; this list is not paginated.
application/json- response
data*array<>curl -X GET 'https://api.betaramps.com/pool/bank-accounts'Example Response
{ "data": [ { "id": "bnk_0192f5b0-4d5e-7f6a-9b7c-8d9e0a1b2c34", "account_id": "acc_0192f4e0-1a2b-7c3d-8e4f-5a6b7c8d9e01", "asset": "USD", "bank_type": "pool_balance", "bank_name": "JPMorgan Chase", "account": "000123456789", "routing_number": "021000021", "bank_code": "CHASUS33", "branch": "0002", "network": "ach", "country": "US", "deposit_reference": "Pool settlement", "compliance_status": "unchecked", "is_active": true, "autoexchange": false, "created_at": "2026-10-31T12:00:00Z", "updated_at": "2026-10-31T12:00:00Z" } ]}